# Get template

Returns metadata information about the stored template specified in the url. If the active flag is provided, the content of the active version of the template is returned. If the version_name flag is provided, version information will be included as well. By default: the `version` field is not provided. To see available versions other than the active version, use the `/versions` API instead

Endpoint: GET /v3/{domain_name}/templates/{template_name}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `domain_name` (string, required)
    Domain name the template is stored under.

  - `template_name` (string, required)
    Template name to fetch.

## Query parameters:

  - `active` (string)
    If this flag is set to yes the active version of the template is included in the response.

## Response 200 fields (application/json):

  - `template` (any, required)
    Template details

  - `template.name` (string, required)
    Name of the template

  - `template.description` (string)
    Description of the template

  - `template.createdAt` (string)
    Creation date in RFC822 format

  - `template.createdBy` (string)
    Indicate who created the template

  - `template.id` (string)
    Template ID

  - `template.domain` (string)
    Domain of the template

  - `template.version` (any)
    Active version information

  - `template.version.tag` (string, required)
    Tag of the version. Must be unique to the template

  - `template.version.template` (string)
    Template content

  - `template.version.engine` (string, required)
    Rendering engine

  - `template.version.mjml` (string, required)
    Template source

  - `template.version.createdAt` (string, required)
    Creation date in RFC822 format

  - `template.version.comment` (string, required)
    Comment related to the version

  - `template.version.active` (boolean, required)
    If this flag is true

  - `template.version.id` (string, required)
    Template ID

  - `template.versions` (array | null)
    List of template's versions

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response 500 fields (application/json):

  - `message` (string, required)
    Response message

